<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <thymeleaf th:replace="header :: header"/>
</head>
<body>
<div class="container">
    <h2>Customer Details</h2><br>
    <div>
        <form th:object="${customer}" th:action="@{${actionUrl}}" method="post">
            <label for="firstName">First Name: </label>
            <input id="firstName" type="text" th:field="*{firstName}"/> <br>
            <span th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}">First Name field has errors</span><br><br>
            <label for="lastName">Last Name: </label>
            <input id="lastName" type="text" th:field="*{lastName}"/> <br>
            <span th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}">Last name field has errors</span><br><br>
            <label for="email">Email: </label>
            <input id="email" type="text" th:field="*{email}"/> <br>
            <span th:if="${#fields.hasErrors('email')}" th:errors="*{email}">Not a valid email address</span><br><br>
            <label for="phone">Phone Number: </label>
            <input id="phone" type="text" th:field="*{phone}"/> <br>
            <span th:if="${#fields.hasErrors('phone')}" th:errors="*{phone}">Not a valid phone number</span><br><br>
            <input type="submit" value="Submit"/>
        </form>
    </div>
</div>
</body>
</html>